Bug 6030 - Missing <th> header in Status pas
Missing <th> header in Status pas
Status: RESOLVED FIXED
Product: Samba 3.3
Classification: Unclassified
Component: SWAT
3.3.0rc2
Other Linux
: P3 normal
: ---
Assigned To: Jeremy Allison
Samba QA Contact
http://bugs.debian.org/511275
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 15:14 UTC by Debian samba package maintainers (PUBLIC MAILING LIST)
Modified: 2009-01-21 07:46 UTC (History)
0 users

See Also:


Attachments
Proposed (intested) patch for that issue (612 bytes, patch)
2009-01-13 15:14 UTC, Debian samba package maintainers (PUBLIC MAILING LIST)
no flags Details
Patch I've applied. (692 bytes, patch)
2009-01-15 17:56 UTC, Jeremy Allison
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Debian samba package maintainers (PUBLIC MAILING LIST) 2009-01-13 15:14:07 UTC
Reported in Debian:

When viewing swat status page i.e. http://server:901/status the Open Files table is broken because of one too few <th> tags in the table 
header.  Observe:

<tr>
<th>PID</th>
<th>Sharing</th>
<th>R/W</th>
<th>Oplock</th>
<th>File</th>
<th>Date</th>
</tr>
<tr>
<td>3778</td>
<td>1063</td>
<td>DENY_DOS </td>
<td>RDWR </td>
<td>NONE </td>
<td>dpw/dpother.cdx</td>
<td>Thu Jan  8 18:17:11 2009 </td>

That's 6 headers for a 7 column table, the html table appears broken in firefox and caused initial confusion as the headers line up over 
the wrong columns.
Comment 1 Debian samba package maintainers (PUBLIC MAILING LIST) 2009-01-13 15:14:59 UTC
Created attachment 3873 [details]
Proposed (intested) patch for that issue

Here an untested patch which should fix that issue
Comment 2 Jeremy Allison 2009-01-15 17:56:35 UTC
Created attachment 3880 [details]
Patch I've applied.
Comment 3 Debian samba package maintainers (PUBLIC MAILING LIST) 2009-01-17 01:34:01 UTC
Thanks fully, Jeremy reviewed the originally proposed patch..:-)
Comment 4 Karolin Seeger 2009-01-21 07:46:42 UTC
Closing out bug report as the issue seems to be already fixed.

Thanks for reporting!